Merge topics
Not supported yet: the call changes nothing and returns 501 NOT_IMPLEMENTED, or 404 with data.reason archived_in_v1_to_v2_migration when an ID names a topic archived in the v1 to v2 migration. Merging will return with a v2 topic merge. To retire a duplicate topic, archive it with POST /topics/{topicId}/archive.
/topics/mergeAuthorizationBearer token · headerrequiredOrganization API key (modem_…).
Idempotency-KeystringReplays a successful mutating request for 24 hours. Reuse with a different payload returns 409.
application/jsonsourceTopicIdsstring<uuid>[]requiredIDs of topics to merge into the target. Must not include the target topic ID.
Show propertiesHide properties
string<uuid>string<uuid>string<uuid>targetTopicIdstring<uuid>requiredID of the topic to merge into. Must not be in the sourceTopicIds array.
Show propertiesHide properties
string<uuid>string<uuid>OK
mergedCountnumberrequiredNumber of topics that were merged into the target.
targetTopicIdstring<uuid>requiredID of the topic that received the merged content.
Show propertiesHide properties
string<uuid>string<uuid>Invalid request (validation failed).
codestringrequiredMachine-readable error code, e.g. NOT_FOUND.
dataanyOptional structured error details.
definedbooleanrequiredTrue if the error was declared in the procedure contract.
messagestringrequiredHuman-readable error message.
statusintegerrequiredHTTP status code.
Missing or invalid API key.
codestringrequiredMachine-readable error code, e.g. NOT_FOUND.
dataanyOptional structured error details.
definedbooleanrequiredTrue if the error was declared in the procedure contract.
messagestringrequiredHuman-readable error message.
statusintegerrequiredHTTP status code.
The API key does not have access to this resource.
codestringrequiredMachine-readable error code, e.g. NOT_FOUND.
dataanyOptional structured error details.
definedbooleanrequiredTrue if the error was declared in the procedure contract.
messagestringrequiredHuman-readable error message.
statusintegerrequiredHTTP status code.
The requested resource was not found.
codestringrequiredMachine-readable error code, e.g. NOT_FOUND.
dataanyOptional structured error details.
definedbooleanrequiredTrue if the error was declared in the procedure contract.
messagestringrequiredHuman-readable error message.
statusintegerrequiredHTTP status code.
The request conflicts with an existing resource or idempotency operation.
codestringrequiredMachine-readable error code, e.g. NOT_FOUND.
dataanyOptional structured error details.
definedbooleanrequiredTrue if the error was declared in the procedure contract.
messagestringrequiredHuman-readable error message.
statusintegerrequiredHTTP status code.
Rate limit exceeded.
codestringrequiredMachine-readable error code, e.g. NOT_FOUND.
dataanyOptional structured error details.
definedbooleanrequiredTrue if the error was declared in the procedure contract.
messagestringrequiredHuman-readable error message.
statusintegerrequiredHTTP status code.
Internal server error.
codestringrequiredMachine-readable error code, e.g. NOT_FOUND.
dataanyOptional structured error details.
definedbooleanrequiredTrue if the error was declared in the procedure contract.
messagestringrequiredHuman-readable error message.
statusintegerrequiredHTTP status code.